%\section{Morphism of Presheaves}
\begin{definition} A morphism $\psi \colon \mathcal F \to \mathcal G$ of presheaves is a natural transformations of functors $\mathcal F \to \mathcal G$, i.e. for all open $U$ there exists $\psi(U) \colon \mathcal F (U) \to \mathcal G (U)$ such that for all open $V \subset U$, the following diagram commutes
\[\begin{tikzcd}
	\mathcal F (U)  \arrow{r}{\psi(U)} \arrow{d} & \mathcal G(U) \arrow{d} \\
	\mathcal F (V) \arrow{r}{\psi(V)} & \mathcal G (V).
\end{tikzcd}\]
\end{definition} 
%continue examples
$\mathcal C_R$ is not a sheaf. We have $\mathcal C_R(\emptyset) \ni s,t$ with $s \neq t$. This contradicts uniqueness. 

$\mathcal C_R$ also does not satisfy gluing. For example, you can consider the disjoint union of two open sets. 
%more examples

But we can consider $\underline R (U)= \{\text{locally constant functions }U \to R\}$ which is the so-called sheafification of $\mathcal C_R$.
\begin{definition}[Stalk, Germs]
	Let $p \in X$ be a point. Define the \textbf{stalk} at $p$ as \[\mathcal F_p =  \varinjlim\limits_{p \in U} \mathcal F(U) = \setdef{(U,s)}{p \in U, s \in \mathcal F (U)}/\sim\] where $(U,s) \sim (V,t)$ if there exists $W \subset U \cap V$ such that $\res{s}{W}=\res{t}{W}$.
	
	Elements of $\mathcal F_p$ are called \textbf{germs} of functions at $P$.
\end{definition}
\begin{theorem}[Sheafification]
	Let $\mathcal F$ be a presheaf. There exists a sheaf $\mathcal F^*$ and a morphism of presheaves $\Theta : \mathcal F \to \mathcal F^*$ which is universal with respect to maps from $\mathcal F$ to sheaves, i.e.
	\[\begin{tikzcd}
		\mathcal F \arrow{r}{\forall} \arrow{d}[swap]{\Theta} & \mathcal G \\
		\mathcal F^* \arrow[dotted]{ur}{\exists !}
	\end{tikzcd}\]
	Moreover $(\mathcal F^*, \Theta)$ is unique up to isomorphism and is called the \textbf{sheaf associated to $\mathcal F$}.
\end{theorem}
\begin{proof} (sketch)
	Define $\mathcal F^\ast(U)$ to be the set of maps $f \colon U \to \bigcup_{p \in U} \mathcal F_p$ such that 
	\begin{enumerate} 
		\item $f(p) \in \mathcal F_p$ for all $p \in U$ 
		\item $\forall P \in U \colon \exists P \in W \subset U$ open and $s \in \mathcal F(W)$ such that $f(Q)=\res{s}{\mathcal F_Q}$ for all $Q \in W$ \qedhere \end{enumerate} 
\end{proof}
%\section{Further Constructions}
\begin{definition}[kernel, image]
Let $\varphi \colon \mathcal F \to \mathcal G$ be a morphism of sheaves of abelian groups. 

The \textbf{kernel of $\varphi$} is the sheaf $\ker (\varphi)$ defined by \[(\ker \varphi)(U)=\ker(\varphi(U) \colon \mathcal F(U) \to \mathcal G (U)) \,.\]

The morphism $\varphi$ is called \textbf{injective} if $\ker \varphi =0$.

The \textbf{image of a presheaf $\varphi$} is defined as \[\im^{\operatorname{pr}}(\varphi)(U)=\im(\phi(U) \colon \mathcal F (U) \to \mathcal G (U))\] and is a presheaf.

The \textbf{image sheaf $\im(\varphi)$} is the sheaf associated with $\im^{\operatorname{pr}}(\varphi)$.

The map $\varphi$ is \textbf{surjective} if $\im(\varphi)=\mathcal G$.
\end{definition}
\begin{example}~
	\begin{itemize}
		\item The Sheaf associated to $\mathcal C_R$ is $\underline R$.
		\item Define $\mathcal F$ by \[\mathcal F = \begin{cases} \R, &\text{ if } U=X \\ 0, &\text{ if } U \neq X \end{cases}\]
		Here, $\mathcal F$  is not a sheaf and $\mathcal F^*=0$.
		\item Let $X=\C$ with analytic/euclidean topology.
		
		\[\mathcal O^{an}(U)=\{f \colon U \to \C \text{ holomorph function}\}\] and \[\mathcal O^{an,*}=\{f \colon U \to C \text{ holomorph and nowhere vanishing}\} \,.\]
		
		There is an exact sequence of sheaves
		\[\begin{tikzcd}
			0 \arrow{r} & \Z \arrow{r}{2 \pi i}[swap]{inj.} & \mathcal O^{an} \arrow{r}{\exp}[swap]{surj.} & \mathcal O^{an,*} \arrow{r} & 0.
		\end{tikzcd}\]
		But when applying to $X = \C \setminus \{0\}$, we get 
		\[\begin{tikzcd}
			0 \arrow{r} & \Z \arrow{r}{2 \pi i}[swap]{inj.} & \mathcal O^{an}(\C \setminus \{0\}) \arrow{r}{\exp}[swap]{surj.} & \mathcal O^{an,*}(\C \setminus \{0\}) \arrow{r} & \Z \arrow{r} & 0.
		\end{tikzcd}\]
	\end{itemize}
\end{example}
\begin{definition}[pushforward]
	Let $f \colon X \to Y$ be a continuous map and $\F$ be a sheaf on $X$. Define the \textbf{pushforward sheaf} $f_* \mathcal F$ on $Y$ by setting $f_*\mathcal F(U):= \mathcal F(f^{-1}(U))$ and using the induced restrictions. 
\end{definition}
\section{Structure Sheaf}
The problem is is still to define morphisms for non-affine algebraic varieties/sets.

Key-Example: Let $M,N$ be  $C^\infty$ manifolds. 
We have $\mathcal C_M^\infty$ and $\mathcal C_N^\infty$.
Let $f: M \to N$ be continuous.

Claim: $f$ smooth $\Leftrightarrow$ The pullback of every smooth $f_n$ is smooth, i.e. for all $V \subset N$ open and $g \colon V \to \R$ smooth, then $f^*(g)=g \circ f$ is smooth (defined on $f^{-1}(V)$).
\[\begin{tikzcd}
	f_*\mathcal C_M^0 \\
	\mathcal C_N^\infty \arrow{r}{f^*} \arrow{u}{f^*} & f_*\mathcal C_M^\infty \arrow{ul}
\end{tikzcd}\]
Sketch of the proof: 

"$\Rightarrow$": Composition of smooth function is smooth. 

"$\Leftarrow$": Let $f=(f_1, \dots , f_n)$. Then $f: U \to V$ where $U \subset \R^m$ and $V \subset \R^n$ and we have $y_i: V \to \R$

We have that $f^*y_i=f_I$ is smooth for all $i$ and therefore $f=(f_1, \dots , f_n)$ is smooth.
%structure sheaf
\begin{definition}[regular]  Let $X$ be an affine variety. 
	A map $f \colon X \to k$ is called \textbf{regular} if for all $x \in X$ there exists an open $x \in U \subset X$ and $g,h \in k[x_1, \dots , x_n]$ such that $h$ is nowhere vanishing on $V$ and $f=g/h$ on $U$.
\end{definition}
\begin{definition}[structure sheaf] 
	Let $X$ be an affine variety.
	Define \[\mathcal O_X(U) = \{f \colon U \to k \text{ regular}\}\] as the \textbf{structure sheaf $\MO_X$ of $X$}.
	The restriction maps are given by restriction of functions.
\end{definition}
\begin{definition}[affine variety, redefinition] % this is supposed to be a "redefinition"
	An \textbf{affine variety} is a topological space $X$ together with a sheaf of $k$-valued function $\mathcal O_X$ such that $(X, \mathcal O_X) \simeq (Y, \mathcal O_Y)$ for some irreducible affine algebraic set $Y$ with structure sheaf $\mathcal O_Y$.
	
	This is equivalent to the existence of an homeomorphism $\varphi \colon X \to Y$ such that $\phi^* \colon \mathcal O_y \to \varphi_* \mathcal O_x$ is an isomorphism. 
\end{definition}
\begin{example}
	$\mathbb{A}^n = (k^n, \mathcal O_{k^n})$ affine $n$-space.
\end{example}
\chapter{Prevarieties}
\section{The Category of Prevarieties}
\begin{definition}
	Let $\mathcal F$ be a sheaf on $X$ and $U \subset X$ open. Then, define the sheaf $\res{\F}{U}$ on $U$ by \[\res{\mathcal F}{U}(V)=\mathcal F(V)\] for all $V \subset U$. 
\end{definition}
\begin{definition}[prevariety]
	A \textbf{prevariety} is a topological space $X$ together with a sheaf of $k$-valued functions $\mathcal O_X$ such that 
	\begin{enumerate}[label=(\roman*)]
		\item $X$ is connected.
		\item There exists a finite open cover $\{U_i\}$ of $X$ such that $(U_i, \res{\mathcal O_X}{U_i})$ is an affine variety. 
	\end{enumerate}
\end{definition}
\begin{definition}[morphisms of prevarieties]
	Let $(X, \mathcal O_X)$ and $(Y, \mathcal O_Y)$ be presheaves. 
	A map $f \colon X \to Y$ is a \textbf{morphism of prevarities} if
	\begin{enumerate}[label=(\roman*)]
		\item $f$ is continuous
		\item $f$ induces a morphism 
		\begin{align*}
			f^* \colon \mathcal O_Y & \longrightarrow f_*\mathcal O_X \\
			g & \longmapsto g \circ f
		\end{align*}
		(for all $V \subset Y$ and $g \in \mathcal O_Y(V)$, we have $g \circ f \in \mathcal O_X(f^{-1}(V))$).
	\end{enumerate}
\end{definition}
\begin{proposition}
	$(X, \mathcal O_X)$ is a prevariety iff
	\begin{enumerate}[label=(\roman*)]
		\item For all $P \in X$ there exists an open set $P \in U \subset X$ such that $(U, \res{\mathcal O_X}{U}) \cong (Y, \mathcal O_Y)$ where $Y$ is an affine algebraic variety. 
		\item $X$ is a irreducible Noetherian topological space. 
		
		Where $X$ is Noetherian $\iff$ for any sequence $Y_1 \supset Y_2 \supset \dots$ of closed subset we have $Y_r=Y_{r+1}=\cdots$ for some $r \ge 1$.
	\end{enumerate}
	\begin{proof}
		Assume $(i)$ and $(ii)$. 
		
		Since $X$ is irreducible, we have that $X$ is connected.
		
		If $X$ is irreducible, then every nonempty open subset is dense which implies that all the $U_i$ given in $(i)$ are irreducible. 
		
		Since $X$ is Noetherian, we have a finite open cover. 
		
		Conversely: some topology.  
	\end{proof}
\end{proposition}
Next topic: We should check that this makes sense, in detail
\begin{enumerate}
	\item We recover the definition of morphism of an affine algebraic set.
	\item projective algebraic sets
	\item open subsets of prevariety is prevariety. 
\end{enumerate}
%%% Local Variables:
%%% mode: latex
%%% TeX-master: "alggeo_master"
%%% End:
